--- geant4.6.0/fink.sh	1969-12-31 16:00:00.000000000 -0800
+++ geant4.6.0.new/fink.sh	2004-01-17 11:44:39.000000000 -0800
@@ -0,0 +1,64 @@
+g4clhep_base_dir='@PREFIX@'
+g4clhep_include_dir='@PREFIX@/include'
+g4clhep_lib='CLHEP'
+g4clhep_lib_dir='@PREFIX@/lib'
+g4compiler='g++'
+g4data='@PREFIX@/share/geant4/data'
+g4debug=''
+g4global='n'
+g4granular='y'
+g4include=''
+g4includes_flag='y'
+g4install='@BUILDDIR@'
+g4lib_build_shared='y'
+g4lib_build_static='y'
+g4lib_use_granular='y'
+g4lib_use_shared='y'
+g4lib_use_static='n'
+g4make='make'
+g4osname='Darwin'
+g4system='Darwin-g++'
+g4ui_build_gag_session='y'
+g4ui_build_terminal_session='y'
+g4ui_build_win32_session='n'
+g4ui_build_xaw_session='n'
+g4ui_build_xm_session='y'
+g4ui_use_gag='y'
+g4ui_use_tcsh='y'
+g4ui_use_terminal='y'
+g4ui_use_win32='n'
+g4ui_use_xaw='n'
+g4ui_use_xm='y'
+g4vis_build_asciitree_driver='y'
+g4vis_build_dawn_driver='y'
+g4vis_build_dawnfile_driver='y'
+g4vis_build_oiwin32_driver='n'
+g4vis_build_oix_driver='n'
+g4vis_build_openglwin32_driver='n'
+g4vis_build_openglx_driver='y'
+g4vis_build_openglxm_driver='y'
+g4vis_build_raytracer_driver='y'
+g4vis_build_vrml_driver='y'
+g4vis_build_vrmlfile_driver='y'
+g4vis_oglhome='/System/Library/Frameworks/OpenGL.framework'
+g4vis_use_asciitree='y'
+g4vis_use_dawn='y'
+g4vis_use_dawnfile='y'
+g4vis_use_oiwin32='n'
+g4vis_use_oix='n'
+g4vis_use_openglwin32='n'
+g4vis_use_openglx='y'
+g4vis_use_openglxm='y'
+g4vis_use_raytracer='y'
+g4vis_use_vrml='y'
+g4vis_use_vrmlfile='y'
+g4w_use_g3tog4='n'
+g4wanalysis_build=''
+g4wanalysis_build_jas=''
+g4wanalysis_build_lab=''
+g4wanalysis_build_lizard=''
+g4wanalysis_use='n'
+g4wanalysis_use_jas=''
+g4wanalysis_use_lab=''
+g4wanalysis_use_lizard=''
+g4wlib_build_g3tog4='n'
--- geant4.6.1.orig/Configure	Fri Mar 26 00:56:14 2004
+++ geant4.6.1.new/Configure	Fri Apr  2 23:46:43 2004
@@ -3136,8 +3136,8 @@
 Do you want to build 'static' (.a) libraries too?
 EOM`
 
-#dflt=$g4lib_build_static
-dflt=n
+dflt=$g4lib_build_static
+#dflt=n
 rp=$g4message
 . ./myread
 gans=$ans
--- geant4.6.1.orig/config/sys/Darwin-g++.gmk	Fri Mar 26 00:56:15 2004
+++ geant4.6.1.new/config/sys/Darwin-g++.gmk	Sat Apr  3 22:42:34 2004
@@ -40,31 +40,35 @@
     FCFLAGS   += -fPIC
     CCFLAGS   += -fPIC
   endif
-#  G4RUNPATHOPTION := -Wl,-rpath 
+  G4RUNPATHOPTION := -Xlinker -bind_at_load -install_name
   FC := g77
   FCFLAGS += -fno-automatic -fno-backslash -fno-second-underscore
   FCLIBS := -lg2c -lnsl
   ECHO    := /bin/echo -n
   SHEXT   := dylib
-  X11FLAGS  := -I/usr/include/X11/extensions -I/usr/include/X11
+  X11FLAGS  := -I/usr/X11R6/include
   X11LIBS   := -L/usr/X11R6/lib  -lXmu -lXt -lXext -lX11 -lSM -lICE
-  XMFLAGS   := -I/usr/X11R6/include
+  XMFLAGS   := -I@PREFIX@/include
   XMLIBS    := -lXm -lXpm
   DLDLIBS   := -ldl
   ifndef OGLHOME
-    OGLHOME  := /usr/X11R6
+    OGLHOME  := /System/Library/Frameworks/OpenGL.framework
   endif
   ifndef OGLFLAGS
-    OGLFLAGS  := -I$(OGLHOME)/include 
+    OGLFLAGS  := -I$(OGLHOME)/Headers
   endif
   ifndef OGLLIBS
-    OGLLIBS   := -L$(OGLHOME)/lib -lGLU -lGL
+    OGLLIBS   := -L$(OGLHOME)/Libraries -lGLU -lGL
   endif
   OIVFLAGS  += -I$(OIHOME)/include 
   define build-granular-shared-lib
     @libdir=`(cd $(@D);/bin/pwd)`; \
+     libname=`(echo $(@F) | /usr/bin/sed 's/\.dylib/.@VERSION@.dylib/')`; \
+     compversion=`(echo @VERSION@ | /usr/bin/cut -d'.' -f1-2)`; \
      cd $(G4TMPDIR); \
-     g++ -dynamiclib -flat_namespace -undefined suppress -o $$libdir/$(@F) $(INTYLIBS) *.o
+     $(CXX) -dynamiclib -flat_namespace -undefined suppress -install_name @PREFIX@/lib/`echo $$libname | /usr/bin/cut -d'.' -f1-3`".dylib" -compatibility_version $$compversion -current_version @VERSION@ -lCLHEP $(X11LIBS) $(XMLIBS) $(OGLLIBS) -L@PREFIX@/lib -o $$libdir/$$libname *.o; \
+     /bin/ln -s $$libname $$libdir/`echo $$libname | /usr/bin/cut -d'.' -f1-3`".dylib"; \
+     /bin/ln -s `echo $$libname | /usr/bin/cut -d'.' -f1-3`".dylib" $$libdir/`echo $$libname | /usr/bin/cut -d'.' -f1`".dylib"
   endef
   define build-global-shared-lib
     libdir=`(cd $(@D);/bin/pwd)`; \
--- geant4.6.0/source/GNUmakefile	2003-12-04 23:44:10.000000000 -0800
+++ geant4.6.0.new/source/GNUmakefile	2004-01-19 12:19:23.000000000 -0800
@@ -12,10 +12,10 @@
 #
 # (The .o files(s) are made by implicit rules.)
 
-SUBDIR1 =  global particles processes geometry digits_hits
-SUBDIR2 =  event tracking track materials run graphics_reps intercoms
+SUBDIR1 =  global intercoms interfaces particles materials track graphics_reps
+SUBDIR2 =  geometry processes digits_hits tracking track event run  
 SUBDIR2 += parameterisations persistency readout
-SUBDIR3 =  interfaces visualization
+SUBDIR3 =  visualization 
 SUBDIR4 =  g3tog4
 
 ifndef G4INSTALL
--- geant4.6.0/source/digits_hits/GNUmakefile	2003-10-03 03:24:01.000000000 -0700
+++ geant4.6.0.new/source/digits_hits/GNUmakefile	2004-01-19 12:15:51.000000000 -0800
@@ -5,7 +5,7 @@
 
 name := G4digits_hits
 
-SUBDIRS := detector hits digits
+SUBDIRS := hits digits detector
 SUBLIBS = G4detector G4digits G4hits
 
 ifndef G4INSTALL
--- geant4.6.0/source/geometry/GNUmakefile	2003-10-08 07:39:19.000000000 -0700
+++ geant4.6.0.new/source/geometry/GNUmakefile	2004-01-19 10:02:34.000000000 -0800
@@ -11,8 +11,8 @@
 
 include $(G4INSTALL)/config/architecture.gmk
 
-SUBDIRS  = management volumes magneticfield navigation biasing divisions
-SUBDIRS += solids/CSG solids/specific solids/Boolean solids/BREPS
+SUBDIRS  = management volumes magneticfield navigation biasing
+SUBDIRS += solids/CSG solids/specific solids/Boolean solids/BREPS divisions
 SUBLIBS  = G4geometrymng G4volumes G4magneticfield
 SUBLIBS += G4navigation G4geombias G4geomdivision
 SUBLIBS += G4csg G4specsolids G4geomBoolean G4brep
--- geant4.6.0/source/processes/GNUmakefile	2003-11-24 04:54:57.000000000 -0800
+++ geant4.6.0.new/source/processes/GNUmakefile	2004-01-19 12:10:30.000000000 -0800
@@ -10,13 +10,13 @@
 SUBDIRS += cuts 
 SUBDIRS += optical 
 SUBDIRS += decay 
-SUBDIRS += transportation 
-SUBDIRS += parameterisation
+SUBDIRS += electromagnetic/utils 
 SUBDIRS += electromagnetic/muons 
 SUBDIRS += electromagnetic/standard
-SUBDIRS += electromagnetic/utils 
 SUBDIRS += electromagnetic/xrays
 SUBDIRS += electromagnetic/lowenergy
+SUBDIRS += transportation 
+SUBDIRS += parameterisation
 
 SUBLIBS  = G4procman 
 SUBLIBS += G4cuts 
@@ -30,43 +30,43 @@
 SUBLIBS += G4xrays 
 SUBLIBS += G4emlowenergy
 
-SUBDIRS +=  hadronic/management 
 SUBDIRS += hadronic/util
-SUBDIRS += hadronic/processes
 SUBDIRS += hadronic/cross_sections
-SUBDIRS += hadronic/stopping
+SUBDIRS += hadronic/models/management
+SUBDIRS += hadronic/models/util
+SUBDIRS += hadronic/models/de_excitation/util
+SUBDIRS += hadronic/models/de_excitation/management
+SUBDIRS += hadronic/models/de_excitation/fission
+SUBDIRS += hadronic/models/de_excitation/photon_evaporation
+SUBDIRS += hadronic/models/de_excitation/gem_evaporation
+SUBDIRS += hadronic/models/de_excitation/evaporation
+SUBDIRS += hadronic/models/de_excitation/fermi_breakup
+SUBDIRS += hadronic/models/de_excitation/multifragmentation
+SUBDIRS += hadronic/models/de_excitation/handler
+SUBDIRS += hadronic/models/im_r_matrix
+SUBDIRS += hadronic/models/pre_equilibrium/exciton_model
 SUBDIRS += hadronic/models/binary_cascade
-SUBDIRS += hadronic/models/cascade/evaporation
 SUBDIRS += hadronic/models/cascade/utils
+SUBDIRS += hadronic/models/cascade/evaporation
 SUBDIRS += hadronic/models/cascade/cascade
 SUBDIRS += hadronic/models/chiral_inv_phase_space/body
 SUBDIRS += hadronic/models/chiral_inv_phase_space/interface
 SUBDIRS += hadronic/models/coherent_elastic
-SUBDIRS += hadronic/models/de_excitation/evaporation
-SUBDIRS += hadronic/models/de_excitation/fermi_breakup
-SUBDIRS += hadronic/models/de_excitation/fission
-SUBDIRS += hadronic/models/de_excitation/gem_evaporation
-SUBDIRS += hadronic/models/de_excitation/handler
-SUBDIRS += hadronic/models/de_excitation/management
-SUBDIRS += hadronic/models/de_excitation/multifragmentation
-SUBDIRS += hadronic/models/de_excitation/photon_evaporation
-SUBDIRS += hadronic/models/de_excitation/util
 SUBDIRS += hadronic/models/high_energy
-SUBDIRS += hadronic/models/im_r_matrix
-SUBDIRS += hadronic/models/isotope_production
 SUBDIRS += hadronic/models/leading_particle
 SUBDIRS += hadronic/models/low_energy
-SUBDIRS += hadronic/models/management
 SUBDIRS += hadronic/models/neutron_hp
 SUBDIRS += hadronic/models/photolepton_hadron/muon_nuclear
-SUBDIRS += hadronic/models/parton_string/diffraction
-SUBDIRS += hadronic/models/parton_string/hadronization
-SUBDIRS += hadronic/models/parton_string/management
-SUBDIRS += hadronic/models/parton_string/qgsm
-SUBDIRS += hadronic/models/pre_equilibrium/exciton_model
+SUBDIRS += hadronic/models/isotope_production
 SUBDIRS += hadronic/models/radioactive_decay
 SUBDIRS += hadronic/models/theo_high_energy
-SUBDIRS += hadronic/models/util
+SUBDIRS += hadronic/models/parton_string/management
+SUBDIRS += hadronic/models/parton_string/hadronization
+SUBDIRS += hadronic/models/parton_string/diffraction
+SUBDIRS += hadronic/models/parton_string/qgsm
+SUBDIRS += hadronic/management 
+SUBDIRS += hadronic/processes
+SUBDIRS += hadronic/stopping
 
 SUBLIBS +=  G4hadronic_xsect 
 SUBLIBS +=  G4hadronic_mgt
